org.apache.fop.pdf

## Interface PDFColorSpace

- All Known Implementing Classes:
    PDFCIELabColorSpace, PDFDeviceColorSpace, PDFICCBasedColorSpace, PDFSeparationColorSpace

      public interface PDFColorSpace

  PDF Color space.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()`
    `int` | `getNumComponents()` Get the number of color components for this colorspace
    `boolean` | `isCMYKColorSpace()`
    `boolean` | `isDeviceColorSpace()`
    `boolean` | `isGrayColorSpace()`
    `boolean` | `isRGBColorSpace()`

- - ### Method Detail

    - #### getNumComponents

          int getNumComponents()

      Get the number of color components for this colorspace
      Returns:
        the number of components

    - #### getName

          String getName()

      Returns:
        the name of the color space

    - #### isDeviceColorSpace

          boolean isDeviceColorSpace()

      Returns:
        true if the color space is a device-dependent color space (like DeviceRGB, DeviceCMYK and DeviceGray)

    - #### isRGBColorSpace

          boolean isRGBColorSpace()

      Returns:
        true if the color space is an RGB color space

    - #### isCMYKColorSpace

          boolean isCMYKColorSpace()

      Returns:
        true if the color space is an CMYK color space

    - #### isGrayColorSpace

          boolean isGrayColorSpace()

      Returns:
        true if the color space is an Gray color space

Copyright © 2023 Apache Software Foundation. All rights reserved.